<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ProductPurchaseLinkBaseModel;

/**
 * 产品 - 购买链接模型
 * @mixin \think\Model
 */
class ProductPurchaseLinkModel extends ProductPurchaseLinkBaseModel
{
    // 关联产品
    public function product()
    {
        return $this->belongsTo(ProductModel::class, 'product_id', 'id');
    }

    // 关联平台
    public function platform()
    {
        return $this->belongsTo(ProductPurchaseLinkPlatformModel::class, 'platform_id', 'id');
    }

    // 根据语言查询
    public function scopeLanguage($query, $value)
    {
        $query->where('language_id', '=', $value);
    }
}
